"Your system has broken packages!" cuando trato de actualizar!!

Imagen de fidodido18
0 puntos

Saludos muchachos, bueno les comento que siempre he sido fanatico de UBUNTU y por fin tengo mi computador, por eso decidí instalarlo, con unos cd que algun tiempo pedi por internet y me llegaron a la casa totalmente gratis.

Bueno la version que llego a mi casa fue la de UBUNTU 5.04 para intel x86, lo instale en mi computador pentium 4 de 1.8 Ghz, 256 Mb de ram, en general es un TE2100 toshiba, que no tuvo ninguna clase de problemas con los driver, solo al final de la instalacion me dijo que unos archivos habian quedado corruptos y que debia arreglarlos manualmente.

Ahora el PROBLEMA es que estoy tratando de actualizar el sistema pero cuando trato me pide la contraseña de administrador y luego me sale un ERROR:

"Your system has broken packages!

This means that some dependencies of the installed packages are not satisfied. Please use "Synaptic" or "apt-get" to fix the situation."

Me gustaria que me ayudaran ya que no he podido actualizar el Sistema y necesito actualizar el mozilla.

Recuerden que soy un PRINCIPIANTE de los que apenas se esta familiarizando con el entorno...

Desde ya gracias!

Imagen de gatuno_123
+1
0
-1

Haz un

apt-get -f install

y luego un

dpkg --configure -a

y si sigue necia la situación haz un

apt-get -f install

Eso deberia arreglar cualquier dependencia rota.


Si tu problema se solucionó, agrega "Solucionado" al post e indica como lo lograste; recuerda que son reglas del foro y que de esa forma nos ayudas a todos.

Atte. El gatuno_123

+1
0
-1

La velocidad de los ordenadores se duplica cada 6 meses. Justo entonces aparece una nueva versión de Windows que los devuelve a la velocidad origina

Recuerda poner "Solucionado" a tu post.

Imagen de fidodido18
+1
0
-1

Primero que todo gracias por ayudarme, pero cuando ingreso en el terminal el primer comando me sale lo siguiente:
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
xpdf-reader xsane-common
The following NEW packages will be installed:
xpdf-reader xsane-common
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
Need to get 0B/1657kB of archives.
After unpacking 6164kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Media change: please insert the disc labeled
'Ubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)'
in the drive '/cdrom/' and press enter

debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend requires a screen at least 13 lines tall and 31 columns wide.)
debconf: falling back to frontend: Readline

Preconfiguring packages ...
(Leyendo la base de datos ...
57954 ficheros y directorios instalados actualmente.)
Desempaquetando xpdf-reader (de .../xpdf-reader_3.00-11ubuntu3_i386.deb) ...
dpkg-deb (subproceso): error en buffer_read(stream): fallo al escribir a la tubería en la copia: Input/output error
dpkg-deb: el subproceso paste devolvió el código de salida de error 2
dpkg: error al procesar /cdrom//pool/main/x/xpdf/xpdf-reader_3.00-11ubuntu3_i386.deb (--unpack):
lectura insuficiente en buffer_copy (error en dpkg-deb durante `./usr/bin/pdftoppm')
Desempaquetando xsane-common (de .../xsane-common_0.96-1ubuntu2_all.deb) ...
dpkg-deb (subproceso): error en buffer_read(stream): fallo al escribir a la tubería en la copia: Input/output error
dpkg-deb: el subproceso paste devolvió el código de salida de error 2
dpkg: error al procesar /cdrom//pool/main/x/xsane/xsane-common_0.96-1ubuntu2_all.deb (--unpack):
lectura insuficiente en buffer_copy (error en dpkg-deb durante `./usr/share/doc/xsane-common/html/xsane-fax.jpg')
Se encontraron errores al procesar:
/cdrom//pool/main/x/xpdf/xpdf-reader_3.00-11ubuntu3_i386.deb
/cdrom//pool/main/x/xsane/xsane-common_0.96-1ubuntu2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Lo mismo sucede cuando ingreso el ultimo comando que dices, esto esta como raro.. que sera? otra cosa sera por esto que no puedo instalar firefox 3 final en mi PC ya que todavia tengo la version que viene con mi ubuntu, es decir, 1.0.2

+1
0
-1
Imagen de novatotal
+1
0
-1

arriba sistema/administracion/gestor de paquetes synaptic
te pedira contraseña, es la misma que pones al inicio; no veras nada es por seguridad
una vez en synaptic buscar paquetes rotos y te da las opciones y asunto arreglado
¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?

emachines intel pentium d 925, sataII 320GB, acelerador de graficos intel 950,
1GB DDR, LCD 17" ethernet intel 10/100 Mbsp ubuntu hardy

+1
0
-1

Firma: ¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?
http://doc.ubuntu-es.org/Documentaci%C3%B3n

Imagen de fidodido18
+1
0
-1

Tambien te doy las gracias por ayudarme, pero cuando entro a Synaptic que hago, me envia el siguiente mensaje
"You have 2 broken packages on your system!

Use the "Broken" filter to locate them."

Como hago un filtro para encontrar los archivos rotos? y despues que los encuentro que hago?

+1
0
-1
Imagen de novatotal
+1
0
-1

donde esta el cuadro que dice universe, multiverse, todos, etc.
veras que dice filtros
click y busca el que dice rotos
ya esta hecho solo tienes que usarlo
si tu problema se resuelve, no olvides decir como, y marcar el hilo como solucionado.
¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?

emachines intel pentium d 925, sataII 320GB, acelerador de graficos intel 950,
1GB DDR, LCD 17" ethernet intel 10/100 Mbsp ubuntu hardy

+1
0
-1

Firma: ¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?
http://doc.ubuntu-es.org/Documentaci%C3%B3n

Imagen de fidodido18
+1
0
-1

Hola, al parecer es un problema con el CD ahora acabo de verlo por debajo y vi que tiene un rayon, en este caso que se puede hacer? pense que Synaptic descargaba de internet lo que faltaba pero al parecer necesita del CD de instalacion. Los archivos que salen como "BROKEN" son:

xpdf: Portable Document Format (PDF) suite
xsane:GTK+-based X11 frontend for SANE (Scanner Access Now Easy)

Al parecer no puedo actulizar mi sistema ni he podido actualizar el firefox a la version 3, el problema puede ser por esto?

+1
0
-1
Imagen de Pablo_F
+1
0
-1

¿Qué repositorios tienes activados?
Una vez que te has instalado el sistema desde el CD, puedes deshabilitarlo y todas las actualizaciones y programas nuevos que necesitas los puedes descargar desde los repositorios de ubuntu. Pero para eso, estos repositorios tiene que estar activados y actualizada la lista de paquetes.

+1
0
-1

"Los analfabetos del siglo XXI no serán aquellos que no sepan leer y escribir, sino aquellos que no sean capaces de aprender, olvidar lo aprendido y aprender de nuevo" (Alvin Toffler)

Imagen de novatotal
+1
0
-1

synaptic no te da ninguna opción?
algo así como reparar o desinstalar?
si los apuntas y desinstalas, los puedes volver a instalar vía synaptic.
si tu problema se resolvió edita el titulo y añade solucionado

¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?

emachines intel pentium d 925, sataII 320GB, acelerador de graficos intel 950,
1GB DDR, LCD 17" ethernet intel 10/100 Mbsp ubuntu hardy

+1
0
-1

Firma: ¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?
http://doc.ubuntu-es.org/Documentaci%C3%B3n

Imagen de fidodido18
+1
0
-1

bueno me sale una opcion de reintalar y volver a instalar, hice la prueba con las dos opciones y ninguna arreglo el problema, creo que me va tocar bajarme una nueva version y reinstalar el Sistema,
Ahora synaptic puede descargar de internet los paquetes que desinstalo? y como lo hace, ya mencionè arriba los paquetes que tengo malos, y la verdad no se que tienen que ver con las actualizaciones ya que su descripcion (la que me da synaptic) no tiene relacion, bueno por lo menos no le veo...

+1
0
-1
Imagen de novatotal
+1
0
-1

apunta en un papel los nombres de esos paquetes rotos
con synaptic/buscar/click derecho/marcar para desinstalar por completo/aplicar(la palomita verde de arriba)
luego sin cerrar synaptic buscar/nombre del paquete/click derecho/marcar para instalar/aplicar
(puedes marcar todos los paquetes que desinstalaste antes de aplicar)
synaptic instala de internet y resuelve dependencias(te instala todo lo que un paquete necesite para funcionar)
si el problema persiste avisa y probaremos con sudo aptitude

¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?

emachines intel pentium d 925, sataII 320GB, acelerador de graficos intel 950,
1GB DDR, LCD 17" ethernet intel 10/100 Mbsp ubuntu hardy

+1
0
-1

Firma: ¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?
http://doc.ubuntu-es.org/Documentaci%C3%B3n